export abstract class OPVaultError extends Error {}

export class AssertionError extends OPVaultError {}

export class HMACAssertionError extends AssertionError {}

export class NotUnlockedError extends AssertionError {}

export function invariant(condition: any, message?: string): asserts condition {
  if (!condition) {
    throw new AssertionError(message)
  }
}
