import styled from "@emotion/styled"

const Container = styled.div`
  background: linear-gradient(to bottom, #292929, #202020);
  border-bottom: 1px solid #070707;
  border-radius: 5px 5px 0 0;
  height: var(--titlebar-height);
  -webkit-app-region: drag;
  display: flex;
  align-items: center;
  text-align: center;
`
const Title = styled.div`
  text-align: center;
  font-weight: 600;
  flex-grow: 1;
`

export const TitleBar = () => (
  <Container>
    <Title>OPVault Viewer</Title>
  </Container>
)
