import styled from "@emotion/styled"
import { VaultPicker } from "../components/VaultPicker"

const Container = styled.div`
  width: 800px;
  padding: 100px;
  text-align: center;
`
const Info = styled.div`
  margin: 10px;
`

export const PickOPVault: React.FC<{
  setHandle(handle: FileSystemDirectoryHandle): void
}> = ({ setHandle }) => (
  <Container>
    <VaultPicker setHandle={setHandle} />
    <Info>No vault is picked.</Info>
  </Container>
)
