import { defineConfig } from "vite"
import react from "@vitejs/plugin-react"

// https://vitejs.dev/config/
export default defineConfig({
  base: "./",
  plugins: [react()],
  define: {
    global: "globalThis",
    "process.browser": "true",
    "process.env.NODE_DEBUG": "false",
  },
  build: {
    outDir: "dist/web",
  },
  resolve: {
    alias: {
      path: require.resolve("path-browserify"),
    },
  },
})
