import styled from "@emotion/styled"
import type { Item } from "opvault.js"

const Container = styled.div`
  text-align: center;
  font-size: 90%;
  line-height: 1.5em;
  opacity: 0.5;
`

export const ItemDates: React.FC<{ item: Item }> = ({ item }) => (
  <Container>
    <div>Last Updated: {new Date(item.updatedAt).toLocaleString()}</div>
    <div>Created: {new Date(item.createdAt).toLocaleString()}</div>
  </Container>
)
